mod error;
mod method;
mod request;
mod request_parser;
mod response;
mod status;

pub use error::RequestError;
pub use method::Method;
pub use request::{HttpRequest, RequestTarget};
pub use request_parser::HttpRequestParser;
pub use response::HttpResponse;
pub use status::Status;

pub use wetstring::RequestProcessor;
pub type HttpServer<Proc> = wetstring::Server<HttpRequestParser, Proc>;
